PRO ZUV2ZOT,zuv,zot
compile_opt hidden
on_error,1
if n_params() eq 0 then begin print,'ZUV2ZOT,zuv,zot'
return&endif
;...initializatiion, make marine winds
;alp=4.9e-4 & bet=5.6e-5 & wm= float(sqrt(zuv*conj(zuv)))
;I am adding the new formula here 01/05, the assumption is that
;the marine wind is a mean over 10mns.
alp=0.0318731 & bet=0.8755406 & wm= float(sqrt(zuv*conj(zuv)))
;Convert  max 1 min marine wind (wm) to a 10 min mean (w10m)
; Note: 37.0 changed to 34.0 on 07/16/09
w10m=wm
ige=where(wm ge 34.0,cnt) & g=1.094 & if cnt ne 0 then w10m(ige) = wm(ige)/g
ilt=where(wm lt 34.0,sta) & if sta ne 0 then  w10m(ilt)= wm(ilt)/(1.069 + 0.0015082*wm(ilt))
; w10m is  a 10 min mean wind
;...direction field and 15 deg rotation for open terrain
zdir=zuv/wm & iv=where(wm eq 0.,ict) & if ict ne 0 then zdir(iv)=0.
ei15=complex(cos(!pi/12),sin(!pi/12.)) & zdir=ei15*zdir
;...open terrain winds construction
;Correct marine mean wind to open terrain mean wind
;wot10min=alp+bet*w10m ; this is the old formula 01/05/06
;the new formula follows 06/26/2009
wot10min = 2.9843009 + 0.7434399*w10m - 0.0017036*(w10m-44.535)^2

;Compute Max 1 min wind for Open terrain
wot =  wot10min * (1.152 - 0.0001956 *  wot10min)
zot=wot*zdir
END ;ZUV2ZOT.PRO
